cancel
Showing results for 
Search instead for 
Did you mean: 

Does `mhash`, `imagemagick` and `memory_limit=1G` prevent upgrading?

Does `mhash`, `imagemagick` and `memory_limit=1G` prevent upgrading?

Does not enabling mhash, imagemagick and only having PHP memory_limit=1G prevent you from upgrading Magento 2?

4 REPLIES

Re: Does `mhash`, `imagemagick` and `memory_limit=1G` prevent upgrading?

mhash is a required PHP extension so you won't be able to install Magento 2 without it. ImageMagick or gd is required, but not both (you can have either). The memory limit required depends, but 1 GB should suffice. You should be able to override this easily, though, either in a php.ini or .htaccess file.

Sindre M, CEO & Founder
ProperHost.com - The Magento Hosting Experts

Re: Does `mhash`, `imagemagick` and `memory_limit=1G` prevent upgrading?

According to the Sys Engineers at my hosting data center, `mHash` has been deprecated for years and is not even part of current PHP to be enabled.

 

`hash` has replaced it.

 

So are you saying that you cannot in any way shape or form run Magento 2 without enabling `mHash` @SindreM

Re: Does `mhash`, `imagemagick` and `memory_limit=1G` prevent upgrading?

You are right. It will work fine with the 'hash' extension. I double checked and we are in fact running several M2 sites on our servers with only hash (not mhash) so the Magento requirements should be updated.

Sindre M, CEO & Founder
ProperHost.com - The Magento Hosting Experts

Re: Does `mhash`, `imagemagick` and `memory_limit=1G` prevent upgrading?

Ok, thank you for confirming @SindreM